Bug 302841 - error when upgrading selinux policy
error when upgrading selinux policy
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
6
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 05:16 EDT by Ronan Waide
Modified: 2008-01-30 14:07 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:07:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronan Waide 2007-09-24 05:16:47 EDT
Description of problem:
When upgrading selinux-policy-*, the following error occurs:
  2:selinux-policy-strict  ########################################### [ 67%]
libsepol.context_from_record: type httpd_nagios_script_exec_t is not defined
libsepol.context_from_record: could not create context structure
libsepol.context_from_string: could not create context structure
libsepol.sepol_context_to_sid: could not convert
system_u:object_r:httpd_nagios_script_exec_t:s0 to sid
/etc/selinux/strict/contexts/files/file_contexts:  line 282 has invalid context
system_u:object_r:httpd_nagios_script_exec_t:s0
libsemanage.semanage_install_active: setfiles returned error code 1.
semodule:  Failed!

Version-Release number of selected component (if applicable):
selinux-policy-*-2.4.6-88

How reproducible:
seen on two systems so far when upgrading from previous version/release

Steps to Reproduce:
1. install selinux-policy-*-2.4.6-80
2. rpm -Uvh selinux-policy-*-2.4.6-88*
3. observe!
  
Actual results:
see error, above

Expected results:
no errors

Additional info:
We are not using nagios on these systems so are not (AFAIK) affected by this,
however it may affect others.
Comment 1 Daniel Walsh 2007-09-24 11:59:15 EDT
Fixed in selinux-policy-*-2.4.6-94
Comment 2 Daniel Walsh 2008-01-30 14:07:10 EST
Bulk closing a old selinux policy bugs that were in the modified state.  If the
bug is still not fixed.  Please reopen.

Note You need to log in before you can comment on or make changes to this bug.